https://management-test.adyen.com/v1/merchants/{merchantId}/webhooksSubscribe to receive webhook notifications about events related to your merchant account. You can add basic authentication to make sure the data is secure. To make this request, your API credential must have the following roles: * Management API—Webhooks read and write
The unique identifier of the merchant account.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/webhooks' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/merchants/{merchantId}/webhooksSubscribe to receive webhook notifications about events related to your merchant account. You can add basic authentication to make sure the data is secure. To make this request, your API credential must have the following roles: * Management API—Webhooks read and write
The unique identifier of the merchant account.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/webhooks' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}